interface IgnoredRegion {
    x1: number;
    y1: number;
    x2: number;
    y2: number;
}
interface PixelmatchOptions {
    threshold?: number | undefined;
    includeAA?: boolean | undefined;
    alpha?: number | undefined;
    aaColor?: [number, number, number] | undefined;
    diffColor?: [number, number, number] | undefined;
    diffColorAlt?: [number, number, number] | undefined;
    diffMask?: boolean | undefined;
    ignoredRegions?: IgnoredRegion[] | null | undefined;
    ignoredColor?: [number, number, number] | undefined;
}
interface CompareSnapshotOptions {
  errorThreshold: number;
  pixelmatchOptions?: PixelmatchOptions;
}

declare global {
  namespace Cypress {
    interface Chainable {
      compareSnapshot(name: string): void;
      compareSnapshot(name: string, errorThreshold?: number): void;
      compareSnapshot(name: string, options?: Partial<Cypress.ScreenshotOptions | CompareSnapshotOptions> ): void;
    }
  }
}

export default function compareSnapshotCommand(options?: Partial<Cypress.ScreenshotOptions | CompareSnapshotOptions>): void;
